﻿using UnityEngine;
using System.Collections;
using System;

public class HeartMonitorJNI : MonoBehaviour {
	static float 	xValue;
	static float	yValue;
	static float	zValue;

	// Use this for initialization
	void Start () {
		AndroidJNI.AttachCurrentThread();
	}

	void Update() {
		using (AndroidJavaClass cls_UnityPlayer = new AndroidJavaClass("com.unity3d.player.UnityPlayer")) {

			using (AndroidJavaObject obj_Activity = cls_UnityPlayer.GetStatic<AndroidJavaObject>("currentActivity")) {

				AndroidJavaClass cls_CompassActivity = new AndroidJavaClass("com.halo.elo2.HeartActivity");

				cls_CompassActivity.CallStatic("Init", obj_Activity);

				xValue = cls_CompassActivity.CallStatic<float>("getX"); 
				//yValue = cls_CompassActivity.CallStatic("getY");
				//zValue = cls_CompassActivity.CallStatic("getZ");

			}
		}

		//Debug.Log("Compasses are " + xValue.ToString() + "," + yValue.ToString() + "," + zValue.ToString());
	}
		

	void OnGUI() {
		Debug.Log ("ej"); 
		GUI.Label(new Rect(Screen.width / 2, Screen.height / 2, 700,100), "heart rate = " + xValue.ToString());
	}
}