﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BrewControl : MonoBehaviour {

	SpriteRenderer ownedSprite;
	SpriteRenderer parentSprite;

	// Use this for initialization
	void Start () {
		ownedSprite = GetComponent<SpriteRenderer> ();
		parentSprite = GetComponentInParent<SpriteRenderer> ();
	}
	
	// Update is called once per frame
	void Update () {
		transform.localPosition = new Vector3 (transform.localPosition.x, Mathf.Sin (Time.timeSinceLevelLoad) / 8.0f + 0.25f, transform.localPosition.z);
		ownedSprite.color = new Color (ownedSprite.color.r, ownedSprite.color.g, ownedSprite.color.b, parentSprite.color.a); 
	}
}
