﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class OverlayTextManager : MonoBehaviour {

	public static OverlayTextManager Instance;

	public GameObject GOWNO;
	public GameObject PiecSekund;
	public GameObject Masterchef;
	// Use this for initialization
	void Start () {
		Instance = this;
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	public void SpawnGowno(){
		var gowno = Instantiate (GOWNO);
		gowno.transform.localScale = new Vector3(0.5f,0.5f,1f);
		gowno.transform.DOPunchScale (new Vector3(1.4f, 1.4f, 1.4f), 0.6f, 2, 1.0f).OnComplete(()=>{ Destroy(gowno); });

		gowno.transform.localPosition = new Vector3(0f, 0.41f, -1f) + new Vector3(Random.value, Random.value, 0.0f) * 0.5f;
		gowno.transform.localRotation = Quaternion.Euler(new Vector3(0,0,Random.Range(-5.0f, 5.0f)));
		gowno.transform.DOPunchRotation (new Vector3 (0, 0, Random.Range (-5.0f, 5.0f)), 0.6f);
	}

	public void Spawn5Sekund(){
		var piec = Instantiate (PiecSekund);

		piec.transform.localScale = new Vector3(0.9f,0.9f,1f);
		piec.transform.DOPunchScale (new Vector3(1.8f, 1.8f, 1.8f), 1.0f, 2, 1.0f).OnComplete(()=>{ Destroy(piec); }).SetEase(Ease.InExpo);

		piec.transform.localPosition = new Vector3(0f, -6.55f, -1f) + new Vector3(Random.value, Random.value, 0.0f) * 0.5f;
		piec.transform.localRotation = Quaternion.Euler(new Vector3(0,0,Random.Range(-5.0f, 5.0f)));
		piec.transform.DOPunchRotation (new Vector3 (0, 0, Random.Range (-5.0f, 5.0f)), 0.6f);
	}

	public void SpawnMasterChef(){
		var master = Instantiate (Masterchef);

		master.transform.localScale = new Vector3(0.9f,0.9f,1f);
		master.transform.DOPunchScale (new Vector3(1.8f, 1.8f, 1.8f), 1.0f, 2, 1.0f).OnComplete(()=>{ Destroy(master); }).SetEase(Ease.InExpo);

		master.transform.localPosition = new Vector3(0f, 0.41f, -1f) + new Vector3(Random.value, Random.value, 0.0f) * 0.5f;
		master.transform.localRotation = Quaternion.Euler(new Vector3(0,0,Random.Range(-5.0f, 5.0f)));
		master.transform.DOPunchRotation (new Vector3 (0, 0, Random.Range (-5.0f, 5.0f)), 0.6f);
	}
}
