﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class Timer : MonoBehaviour {

	static Timer instance = null;

	float minRotation = 5.5f;
	float maxRotation = 365.0f;

	float currentProgress = 0.0f;
	float currentRotation = 0.0f;

	public GameObject pivot;
	public GameObject cluePivot;

	// Use this for initialization
	void Start () {
		instance = this;
	}
	
	// Update is called once per frame
	void Update () {
		Vector3 rot = new Vector3 (0, 0, currentRotation);
		cluePivot.transform.localRotation = Quaternion.Euler (rot);
	}

	static public void SetProgress(float progress)
	{
		instance.currentProgress = progress;
		instance.currentRotation = instance.minRotation + progress * (instance.maxRotation - instance.minRotation);
	}

	static public void Shake()
	{
		instance.pivot.transform.DOComplete ();
		instance.pivot.transform.DOShakeRotation(1.0f, new Vector3(0.0f, 0.0f, 30.0f), 10);
	}
}
