﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using DG.Tweening;

public class voiceoversubtitles : MonoBehaviour {

	public List<Sprite> spritesGut;
	public List<Sprite> spritesBad;
	static public voiceoversubtitles Instance;


	// Use this for initialization
	void Start () {
		Instance = this;
	}
	
	// Update is called once per frame
	void Update () {
		
	}
	public void SpawnNewText(int id, bool isGut){
		var textObject = new GameObject ();
		var sr = textObject.AddComponent<SpriteRenderer> ();
		sr.sprite = isGut ? spritesGut [id] : spritesBad[id];

		textObject.transform.localScale = new Vector3(0.9f,0.9f,1f);
		textObject.transform.DOPunchScale (new Vector3(1.8f, 1.8f, 1.8f), 1.0f, 2, 1.0f).OnComplete(()=>{ Destroy(textObject); }).SetEase(Ease.InExpo);

		textObject.transform.localPosition = new Vector3(0f, 0.0f, -1.0f) + new Vector3(Random.value, Random.value, 0.0f) * 0.5f;
		textObject.transform.localRotation = Quaternion.Euler(new Vector3(0,0,Random.Range(-5.0f, 5.0f)));
		textObject.transform.DOPunchRotation (new Vector3 (0, 0, Random.Range (-5.0f, 5.0f)), 0.6f);
	}
}
